// creator  : weidu.exe (version 23100)
// argument : WORKER01.DLG
// game		 : .
// source	 : ./DATA/DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~WORKER01~ 2 // non-zero flags may indicate non-pausing dialogue
//////////////////////////////////////////////////
// WARNING: this file contains non-trivial WEIGHTs
//////////////////////////////////////////////////

IF WEIGHT #0 ~TimeGT(11)
TimeLT(14)
~ THEN BEGIN 0 // from:
  SAY #30135 /* ~Well.  63 days into the project and we be almost ready t' put shovel to the ground, aye?  But I can't be talkin', now...'tis time for me lunch.~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #1 ~TimeGT(12)
TimeLT(15)
~ THEN BEGIN 1 // from:
  SAY #30136 /* ~Ah, we be quite ahead on this project, aye?  63 days in and we can almost be beginnin'!  But we can't continue, now... poor Jerro has gone and busted his foot...~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #2 ~TimeGT(13)
TimeLT(16)
~ THEN BEGIN 2 // from:
  SAY #30137 /* ~63 days and countin'... we'll be here by next year, I swear!  I would get started on me work, o' course, but I've had a bit o' a head rush.  Must sit down for a mite.~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #3 ~TimeGT(14)
TimeLT(17)
~ THEN BEGIN 3 // from:
  SAY #30145 /* ~We would continue our work on the project, but 'tis the time o' day we offer thanks t' Gond for th' craft.  Yup.  Silent prayer, that is.~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #4 ~TimeGT(15)
TimeLT(18)
~ THEN BEGIN 4 // from:
  SAY #30146 /* ~Ahh...63 days in and we are almost ready to start digging!  I am excited!  But we can't start now, o' course...'tis almost time to quit fer the day.~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #5 ~TimeGT(8)
TimeLT(11)
~ THEN BEGIN 5 // from:
  SAY #30147 /* ~Only 63 days into business and already we're about t' dig.  Tsk, tsk.  Still tryin' to wake me bones from slumber, tho...~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #7 /* Triggers after states #: 7 even though they appear after this state */
~TimeGT(9)
~ THEN BEGIN 6 // from:
  SAY #30148 /* ~I would get goin' on the project, but I hears that Dorsan has a wee bit o' gossip to spread o'er there.  Can't wait t' hear it!~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #6 ~TimeGT(10)
~ THEN BEGIN 7 // from:
  SAY #30149 /* ~63 days into the project... we should be done diggin' the first section by, oh, say, 100 days or so.  I would keep workin' now, but me tummy is rumblin' somethin' fierce!~ */
  IF ~~ THEN EXIT
END
